Skip to main content
GET
/
wallet
/
payment-instruments
List payment instruments
curl --request GET \
  --url https://api.natural.co/wallet/payment-instruments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "type": "external_funding_source",
      "id": "efs_019cd3444a77776dadda2c30ff23706d",
      "attributes": {
        "bank_name": "Chase",
        "account_type": "checking",
        "last_four": "6789",
        "verification_state": "VERIFIED",
        "status": "VERIFIED",
        "created_at": "2026-01-01T00:00:00"
      }
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "next_cursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Query Parameters

cursor
string | null

Cursor for pagination

limit
integer
default:50

Max items per page

Required range: 1 <= x <= 100

Response

Successful Response

List of payment instruments response.

data
PaymentInstrumentResource · object[]
required

List of resources

meta
ResponseMeta · object

Response metadata